<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper
	namespace="cn.com.ty.lift.ud.userCoupon.mapper.UserCouponMapper">

   <select id="selectByQuery" resultType="cn.com.ty.lift.ud.userCoupon.mapper.entity.UserCoupon" >
    select * from user_coupon as uc left join coupon as c on uc.coupon_id=c.id
    <where>
        ${ew.sqlSegment}
    </where>
     limit #{page.pageIndex},#{page.pageSize}
  </select>
  <select id="countByQuery" resultType="java.lang.Integer">
    select count(0)  from user_coupon as uc left join coupon as c on uc.coupon_id=c.id
    <where>
        ${ew.sqlSegment}
    </where>
  </select>
</mapper>